Subject: Re: [TI994A] Re: Options for formating MESS hard drive

From: fdos <[email-masked]>
Date: Wed, 11 May 2011 14:22:23 -0700

See below:

On 5/11/2011 12:53 PM, wmlucid wrote:
>
>
>
> May I obtain your newer hard drive image?
>
> Thank you Beery.
>
> Once I realized MDM5 was hard coded to DSK1; I initialized a copy of the old hd image -from an earlier MESS, it was mission accomplished to have a new bare, formatted hard drive image.  Is there any reason to NOT have MDM5 in the hd DSK1 directory?
Yes, as you can only have 127 files in that directory, and you can 
assign a different path to MDM5 in SETUP or CONFIG; something like that 
anyway.  I keep the DSK1 directory for those programs that can't be 
reassigned to another path.  Don't forget the DSK directory either or 
disk file emulation.
>
> I spent much time trying different things with chdman commands; after, finding this forum things with chdman went much better!
>
> What did we do before Google?
We "let our fingers do the walking" as we were afraid of mice. :-)
>
> Got a little excited seeing my one line Extended Basic program with multiple EB statements RUN without a glitch, flashing the screen colors!  Still have the interest... it is great to see both computers TI and Geneve still growing after all these years!
>
>
> Wm
>
>
>
>
>
> Is it correct; that, a new image for example. inputhd.raw
>
> --- In [email-masked], "Beery"<bmiller@...>  wrote:
>>
>> For Bill's info, be careful if you pull any mess hard drive images from whtech.  I'm not sure anyone has replaced the old (5+ year images) with the slightly revised format that MESS now requires.
>>
>> I have formatted images (120 MB's) with a bunch of Geneve stuff on it if someone hollers and wants the image.  Not anything on the image for the average TI user though.
>>
>> Beery
>>
>> --- In [email-masked], "Michael Zapf"<newsmail09@>  wrote:
>>>
>>>
>>>
>>> Hi Wm,
>>>
>>>> What are the formatting options?
>>>>
>>>> What do I need to do to use a newly made hard drive container file; I believe it needs to be formated.  TI99Dir has the image type as DOS.
>>>
>>> Use Myarc Disk Manager V. There are disk images somewhere. I'll give you a stepwise description (just doing it live):
>>>
>>> Example for a 20 MiB empty disk:
>>>
>>> $ chdman -createblankhd newblank.hd 615 4 32 256
>>> $ mess64 ti99_4ae -cart1 editor_assembler.rpk -flop1 mdm150.dsk -hard1 newblank.hd
>>>
>>> Option 5, load DSK1.MDM5. Exit date/time setting.
>>>
>>> Select Utility->Format->Hard
>>> Enter 1 as hard drive number
>>>
>>> Type in a label for the hard disk behind WDS1., like MYHARD
>>>
>>> Use the geometry data from createblankhd - this is important,  other values will make formatting fail! Use your values for other sizes. You can get the values with chdman -info.
>>>
>>> Sectors = 32
>>> Heads = 4
>>> Cylinders = 615
>>> Reserved sectors = 2048
>>> Write precomp = 464
>>> Reduced write current = 464
>>> Retry = 8
>>> Interlace = 3
>>> Step = 1
>>> Enter the magic code "FORMAT" to initiate formatting.
>>>
>>> Watch formatting cylinder 0...1...2...3...  614
>>>
>>> Exit
>>>
>>> Sometimes I experience display issues with MDM; the screen does not update with new content. Try BACK (FCTN-9) in that case. Blindly, type C(atalog), H(arddisk), 1 (drive number). You should get an empty disk display.
>>>
>>> Exit
>>> Quit, Y
>>>
>>> ** DONE **
>>>
>>> Test it with other files.
>>>
>>> Michael
>>>
>>
>
>
>

-- 
Bill R Sullivan (FDOS)
Go Forth+ or X4th99